%define section         free

# To make the tarball:
# svn co http://svn.apache.org/repos/asf/incubator/jdo/trunk/api20/ -r {2005-07-27} apache-jdo/api20
# svn cat http://svn.apache.org/repos/asf/incubator/jdo/trunk/maven.xml -r {2005-07-27} > apache-jdo/maven.xml
# svn cat http://svn.apache.org/repos/asf/incubator/jdo/trunk/project.properties -r {2005-07-27} > apache-jdo/project.properties
# svn cat http://svn.apache.org/repos/asf/incubator/jdo/trunk/project.xml -r {2005-07-27} > apache-jdo/project.xml
# find apache-jdo -name .svn | xargs rm -rf

%define svn_version     20050727
%define release         0.%{svn_version}.1jpp_1rh

Name:			apache-jdo
Summary:		Apache JDO specification.
Version: 		0
Release:		%{release}
Epoch:			0
URL: 			http://wiki.apache.org/jdo
License: 		Apache License, Version 2.0
Group: 			Development/Libraries/Java
Source: 		%{name}-%{version}-%{svn_version}-src.tar.bz2
Patch0:			api20-project.patch
BuildRequires:	jpackage-utils
BuildRequires:	maven >= 1.0.2
BuildRequires:	maven-plugins-base >= 1.0.2
BuildRequires:	maven-plugin-license >= 1.0.2
BuildRequires:	maven-plugin-multiproject >= 1.0.2
BuildRequires:	maven-plugin-test >= 1.0.2
BuildRequires:	jta
Requires:		jta
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
Java Data Objects (JDO) is a standard way to access persistent data 
in databases, using plain old Java objects (POJO) to represent 
persistent data.

%package 2.0-api
Group:          Development/Libraries
Summary:        JDO 2.0 API.

%description 2.0-api
The standard definition of the JDO API as defined by the 
JSR-243 standard.

%prep
%setup -q -n %{name}
%patch0

%build
unset CLASSPATH

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	-Dmaven.repo.remote=file:/usr/share/maven/repository

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 api20/target/jdo2-api-2.0.jar \
    $RPM_BUILD_ROOT%{_javadir}/apache-jdo-2.0-api-%{version}.jar
ln -s apache-jdo-2.0-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/apache-jdo-2.0-api.jar
ln -s apache-jdo-2.0-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/jdo2.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files 2.0-api
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Thu Jul 28 2005 Deepak Bhole <dbhole@redhat.com> 0:0-1jpp_1rh
- First Red Hat build.

* Thu Jul 28 2005 Deepak Bhole <dbhole@redhat.com> 0:0-1jpp
- Initial build.
